//Skybox

textures/ef_canyon/sky
{
	qer_editorimage textures/ef_canyon/sky_arc_masked.tga
	q3map_lightimage textures/ef_canyon/Orange.tga
	q3map_lightsubdivide 768
	q3map_backsplash 0 0
	q3map_sunEXT 1 0.9 0.95 90 180 50 2 16
	q3map_skylight 150 5
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	skyparms textures/ef_canyon/env/sky 512 -
	nopicmip
	nomipmaps
	{
		map textures/ef_canyon/sky_clouds.tga
		tcMod scale 3 3
		tcMod scroll 0.005 -0.0125
		rgbGen identityLighting
	}
	{
		clampmap textures/ef_canyon/sky_arc_masked.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod scale 0.956 0.956
		tcMod transform 1 0 0 1 -1 -1
		rgbGen identityLighting
	}
}


textures/ef_canyon/ghost_darksky
{
	qer_editorimage textures/ef_canyon/env/ghost_darksky.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_sunExt 1 1 1 50 -162 8 2 16
	q3map_LightMapFilterRadius 0 8
	q3map_skylight 60 4
	nopicmip
	skyparms textures/ef_canyon/env/ghost_darksky - -
	{
		map textures/ef_canyon/env/clouds2.tga
		tcMod scale 3 3
		tcMod scroll -0.000225 -0.0025
		rgbGen identityLighting
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map textures/ef_canyon/ydnar_lightning.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen wave triangle -8 9 0 0.137
		alphaGen wave noise -3 4 0 2.37
		tcMod scale 3 3
		tcMod scroll 0.003 -0.0015
	}
}

textures/ef_canyon/cloud_remap
{
	qer_editorimage textures/ef_canyon/env/clouds2.tga
	qer_trans 1.0
	qer_alphafunc greater 0
	surfaceparm trans
	surfaceparm nolightmap
	q3map_noVertexlight
	q3map_globalTexture
	nomipmaps
	{
		map textures/ef_canyon/env/clouds2.tga
		tcMod scale 3 3
		tcMod scroll -0.000225 -0.0025
		rgbGen identityLighting
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
}

textures/ef_canyon/ghost_darksky_bk
{
	qer_editorimage textures/ef_canyon/env/ghost_darksky_bk.tga
	surfaceparm nolightmap
	nomipmaps
	{
		map textures/ef_canyon/env/ghost_darksky_bk.tga
		rgbGen identityLighting
	}
	{
		map textures/ef_canyon/ydnar_lightning.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen wave triangle -8 9 0 0.137
		alphaGen wave noise -3 4 0 2.37
		tcMod scale 3 3
		tcMod scroll 0.003 -0.0015
	}
}

textures/ef_canyon/ghost_darksky_dn
{
	qer_editorimage textures/ef_canyon/env/ghost_darksky_dn.tga
	surfaceparm nolightmap
	nomipmaps
	{
		map textures/ef_canyon/env/ghost_darksky_dn.tga
		rgbGen identityLighting
	}
	{
		map textures/ef_canyon/ydnar_lightning.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen wave triangle -8 9 0 0.137
		alphaGen wave noise -3 4 0 2.37
		tcMod scale 3 3
		tcMod scroll 0.003 -0.0015
	}
}

textures/ef_canyon/ghost_darksky_ft
{
	qer_editorimage textures/ef_canyon/env/ghost_darksky_ft.tga
	surfaceparm nolightmap
	nomipmaps
	{
		map textures/ef_canyon/env/ghost_darksky_ft.tga
		rgbGen identityLighting
	}
	{
		map textures/ef_canyon/ydnar_lightning.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen wave triangle -8 9 0 0.137
		alphaGen wave noise -3 4 0 2.37
		tcMod scale 3 3
		tcMod scroll 0.003 -0.0015
	}
}

textures/ef_canyon/ghost_darksky_lf
{
	qer_editorimage textures/ef_canyon/env/ghost_darksky_lf.tga
	surfaceparm nolightmap
	nomipmaps
	{
		map textures/ef_canyon/env/ghost_darksky_lf.tga
		rgbGen identityLighting
	}
	{
		map textures/ef_canyon/ydnar_lightning.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen wave triangle -8 9 0 0.137
		alphaGen wave noise -3 4 0 2.37
		tcMod scale 3 3
		tcMod scroll 0.003 -0.0015
	}
}

textures/ef_canyon/ghost_darksky_rt
{
	qer_editorimage textures/ef_canyon/env/ghost_darksky_rt.tga
	surfaceparm nolightmap
	nomipmaps
	{
		map textures/ef_canyon/env/ghost_darksky_rt.tga
		rgbGen identityLighting
	}
	{
		map textures/ef_canyon/ydnar_lightning.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen wave triangle -8 9 0 0.137
		alphaGen wave noise -3 4 0 2.37
		tcMod scale 3 3
		tcMod scroll 0.003 -0.0015
	}
}

textures/ef_canyon/ghost_darksky_up
{
	qer_editorimage textures/ef_canyon/env/ghost_darksky_up.tga
	surfaceparm nolightmap
	nomipmaps
	{
		map textures/ef_canyon/env/ghost_darksky_up.tga
		rgbGen identityLighting
	}
	{
		map textures/ef_canyon/ydnar_lightning.tga
		blendFunc GL_SRC_ALPHA GL_ONE
		rgbGen wave triangle -8 9 0 0.137
		alphaGen wave noise -3 4 0 2.37
		tcMod scale 3 3
		tcMod scroll 0.003 -0.0015
	}
}

textures/ef_canyon/cartwheel
{
	qer_editorimage textures/ef_canyon/cartwheel_128x128.tga
    	surfaceparm trans
	surfaceparm nonsolid
	cull none
      	nopicmip
	{
		map textures/ef_canyon/cartwheel_128x128.tga
		tcMod scale 1 1
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}


//NullDes

textures/ef_canyon/cave_light
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	q3map_lightRGB 0.8 1 0.95
	q3map_surfacelight 600
}


textures/ef_canyon/caulk_struct
{
	qer_editorimage textures/common/caulk.tga
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
}

textures/ef_canyon/caulk_wall_temp
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
}

textures/ef_canyon/caulk_ground_temp
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
}

textures/ef_canyon/caulk_cave_wall_temp
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
}

textures/ef_canyon/caulk_cave_floor_temp
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
}

textures/ef_canyon/waterfall1
{
	qer_editorimage textures/ef_canyon/waterfall_alpha2_b.tga
	surfaceparm trans
	surfaceparm nonsolid
	cull none
	sort 10
	{
		map textures/ef_canyon/waterfall_alpha2_b.tga
		alphagen vertex
		blendfunc blend
		tcMod scroll 0.05 -2.5
		rgbgen identitylighting
	}	
	{
		map textures/ef_canyon/waterfall_alpha.tga
		alphagen vertex
		blendfunc blend
		tcMod scroll 0.15 -3.0
		tcmod turb 0 0.1 0 0.3
	}
}

textures/ef_canyon/waterfall2
{
	qer_editorimage textures/ef_canyon/waterfall.tga
	surfaceparm trans
	surfaceparm nonsolid
	cull none
	{
		map textures/ef_canyon/waterfall_alpha2.tga
		alphagen vertex
		blendfunc blend
		tcmod scale 0 0.5
		tcMod scroll 0.05 -2.0
		//rgbgen const ( 0.3 0.95 1 )
	}	
}

textures/ef_canyon/water_splash_shader
{
	qer_editorimage textures/ef_canyon/water_splash.tga
	surfaceparm trans
	surfaceparm nonsolid
	cull none
	sort 9
	deformvertexes move -20 0 0 sawtooth 0 1 0 0.5
	{
		map textures/ef_canyon/water_splash.tga
		alphagen wave inversesawtooth 0 1 0 0.5
		blendfunc blend
	}
}

textures/ef_canyon/water_splash_shader_2
{
	qer_editorimage textures/ef_canyon/water_splash.tga
	surfaceparm trans
	surfaceparm nonsolid
	cull none
	sort 9
	deformvertexes move -20 0 0 sawtooth 0 1 0.5 0.5
	{
		map textures/ef_canyon/water_splash.tga
		alphagen wave inversesawtooth 0 1 0.5 0.5
		blendfunc blend
	}
}

textures/ef_canyon/ground_base
{
	qer_editorimage textures/ef_canyon/ground018_alpha.tga
	q3map_lightimage textures/ef_canyon/ground018.tga
	q3map_nonplanar
	q3map_shadeAngle 99
	q3map_lightmapSampleOffset 8
	{
		map textures/ef_canyon/ground018_alpha.tga
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/ef_canyon/ground_base_ice
{
	qer_editorimage textures/ef_canyon/ice.tga
	q3map_lightimage textures/ef_canyon/ice.tga
	q3map_nonplanar
	q3map_shadeAngle 99
	q3map_lightmapSampleOffset 8
	{
		map textures/ef_canyon/ice.tga
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/ef_canyon/rock_wall
{
	qer_editorimage textures/ef_canyon/grey_stone_l.tga
	q3map_lightimage textures/ef_canyon/grey_stone.tga
	q3map_nonplanar
	q3map_shadeAngle 120
	q3map_lightmapSampleOffset 8
	{
		map textures/ef_canyon/grey_stone_l.tga
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/ef_canyon/ground_rock_blend
{
	qer_editorimage textures/ef_canyon/grey_stone_l.tga
	q3map_lightimage textures/ef_canyon/ground018.tga
	q3map_nonplanar
	q3map_shadeAngle 120
	{
		map textures/ef_canyon/grey_stone_l.tga
	}
	{
		map textures/ef_canyon/ground018_alpha.tga	
		alphagen oneminusvertex
		alphafunc GE128
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/ef_canyon/ground_rock_blend_ice
{
	qer_editorimage textures/ef_canyon/grey_stone_l.tga
	q3map_lightimage textures/ef_canyon/ice.tga
	q3map_nonplanar
	q3map_shadeAngle 120
	{
		map textures/ef_canyon/grey_stone_l.tga
	}
	{
		map textures/ef_canyon/ice.tga	
		alphagen oneminusvertex
		alphafunc GE128
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/ef_canyon/test_terra_3_w
{
	qer_editorimage textures/ef_canyon/grey_stone_l.tga
	q3map_lightimage textures/ef_canyon/grey_stone.tga
	q3map_nonplanar
	q3map_shadeAngle 120
	{
		map textures/ef_canyon/grey_stone_l.tga
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/ef_canyon/ground_veg
{
	qer_editorimage textures/ef_canyon/ground018_veg5.tga
	q3map_lightimage textures/ef_canyon/ground018.tga
	q3map_nonplanar
	q3map_shadeAngle 120
	{
		map textures/ef_canyon/ground018_alpha.tga
	}
	{
		map textures/ef_canyon/ground018_veg5.tga
		alphagen oneminusvertex
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/ef_canyon/ground_veg_ice
{
	qer_editorimage textures/ef_canyon/ice.tga
	q3map_lightimage textures/ef_canyon/ice.tga
	q3map_nonplanar
	q3map_shadeAngle 120
	{
		map textures/ef_canyon/ice.tga
	}
	{
		map textures/ef_canyon/ground018_veg5.tga
		alphagen oneminusvertex
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/ef_canyon/cave_floor
{
	qer_editorimage textures/ef_canyon/kat_stone3_2.tga
	q3map_lightimage textures/ef_canyon/kat_stone3_2.tga
	q3map_nonplanar
	q3map_shadeangle 120
	q3map_bouncescale 2
	q3map_lightmapSampleOffset 8
	q3map_splotchFix
	{
		map textures/ef_canyon/kat_stone3_2.tga
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/ef_canyon/cave_wall_model
{
	qer_editorimage textures/ef_canyon/kat_stone4_d2_mod1.tga
	q3map_lightimage textures/ef_canyon/kat_stone4_d2_mod1.tga
	q3map_nonplanar
	q3map_shadeangle 120
	q3map_bouncescale 2
	q3map_lightmapSampleOffset 8
	{
		map textures/ef_canyon/kat_stone4_d2_mod1.tga
		rgbgen vertex
	}
}

textures/ef_canyon/cave_wall
{
	qer_editorimage textures/ef_canyon/kat_stone4_d2_mod1.tga
	q3map_lightimage textures/ef_canyon/kat_stone4_d2_mod1.tga
	q3map_nonplanar
	q3map_shadeangle 120
	q3map_bouncescale 2
	q3map_lightmapSampleOffset 8
	q3map_splotchFix
	{
		map textures/ef_canyon/kat_stone4_d2_mod1.tga
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/ef_canyon/cave_blend
{
	qer_editorimage textures/ef_canyon/kat_stone4_d2_mod1.tga
	q3map_lightimage textures/ef_canyon/kat_stone4_d2_mod1.tga
	q3map_nonplanar
	q3map_shadeangle 120
	q3map_bouncescale 2
	q3map_lightmapSampleOffset 8
	q3map_splotchFix
	{
		map textures/ef_canyon/kat_stone4_d2_mod1.tga
	}
	{
		map textures/ef_canyon/kat_stone3_2.tga
		alphagen vertex
		alphafunc ge128
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
	}
}

//Plants

textures/ef_canyon/grass1
{
	qer_editorimage textures/ef_canyon/grass1_alpha.tga
	q3map_forcemeta
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm alphashadow
	cull none
	nomipmaps
	nopicmip
	{
		map textures/ef_canyon/grass1_alpha.tga
		alphafunc GE128
		depthwrite
	}	
	{
		map $lightmap
		blendfunc filter
		depthfunc equal
	}
}

textures/ef_canyon/plant1
{
	qer_editorimage textures/ef_canyon/planet1_alpha.tga
	q3map_forcemeta
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm alphashadow
	cull none
	nomipmaps
	nopicmip
	{
		map textures/ef_canyon/planet1_alpha.tga
		alphafunc GE128
		depthwrite
	}	
	{
		map $lightmap
		blendfunc filter
		depthfunc equal
	}
}

textures/ef_canyon/plant2
{
	qer_editorimage textures/ef_canyon/planet2_alpha.tga
	q3map_forcemeta
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm alphashadow
	cull none
	nomipmaps
	nopicmip
	{
		map textures/ef_canyon/planet2_alpha.tga
		alphafunc GE128
		depthwrite
	}	
	{
		map $lightmap
		blendfunc filter
		depthfunc equal
	}
}

textures/ef_canyon/plant3
{
	qer_editorimage textures/ef_canyon/planet3_alpha.tga
	q3map_forcemeta
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm alphashadow
	cull none
	nomipmaps
	nopicmip
	{
		map textures/ef_canyon/planet3_alpha.tga
		alphafunc GE128
		depthwrite
	}	
	{
		map $lightmap
		blendfunc filter
		depthfunc equal
	}
}

textures/ef_canyon/plant4
{
	qer_editorimage textures/ef_canyon/planet4_alpha.tga
	q3map_forcemeta
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm alphashadow
	cull none
	nomipmaps	
	nopicmip
	{
		map textures/ef_canyon/planet4_alpha.tga
		alphafunc GE128
		depthwrite
	}	
	{
		map $lightmap
		blendfunc filter
		depthfunc equal
	}
}

textures/ef_canyon/grass_blade1
{
	cull none
	surfaceparm nolightmap
	surfaceparm nonsolid
	q3map_forcemeta
	surfaceparm nomarks
	{
		map textures/ef_canyon/blade1.tga
	}
}

textures/ef_canyon/grass_blade2
{
	cull none
	surfaceparm nolightmap
	surfaceparm nonsolid
	q3map_forcemeta
	surfaceparm nomarks
	{
		map textures/ef_canyon/blade2.tga
	}
}

textures/ef_canyon/water1_fx_scroll
{
	qer_editorimage textures/ef_canyon/water1.tga
	deformVertexes wave 512 sin 0 40 0 0.1
	q3map_tessSize 512
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	{
		map textures/ef_canyon/water1.tga
		blendfunc blend
		tcMod scroll 1.1 0.01
		tcMod turb 0 0.5 0 0.05
	}
	{
		map textures/ef_canyon/water005_e1.tga
		rgbgen wave sin 0.3 0.2 0 0.2
		blendfunc gl_one gl_one
		tcmod scale 0.5 0.5
		tcMod scroll 0.45 0.02
		tcmod turb 0 0.1 0 0.2
	}
	{
		map textures/ef_canyon/water005_e1.tga
		rgbgen wave sin 0.3 0.275 0.5 0.2
		blendfunc gl_one gl_one
		tcmod scale 0.4 0.6
		tcMod scroll 0.4 0.01
		tcmod turb 0 0.075 0.5 0.075
	}
	{
		map $lightmap
		blendfunc filter
	}	
}

textures/ef_canyon/water1_fx_scroll_nodef
{
	qer_editorimage textures/ef_canyon/water1.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	{
		alphagen vertex
		map textures/ef_canyon/water1.tga
		blendfunc blend
		tcMod scroll 1.4 0.01
		tcMod turb 0 0.5 0 0.05
	}
	{
		map textures/ef_canyon/water005_e1.tga
		rgbgen wave sin 0.3 0.2 0 0.2
		blendfunc gl_src_alpha gl_one
		tcmod scale 0.5 0.5
		tcMod scroll 0.6 0.02
		tcmod turb 0 0.1 0 0.2
		alphagen vertex
	}
	{
		map textures/ef_canyon/water005_e1.tga
		rgbgen wave sin 0.3 0.275 0.5 0.2
		blendfunc gl_src_alpha gl_one
		tcmod scale 0.4 0.6
		tcMod scroll 0.55 0.01
		tcmod turb 0 0.075 0.5 0.075
		alphagen vertex
	}
}

textures/ef_canyon/water1_fx_foam1
{
	qer_editorimage textures/ef_canyon/water_foam1.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	{
		clampmap textures/ef_canyon/water_foam1.tga
		blendfunc blend
		alphagen wave inversesawtooth -0.5 1.5 0 1
		tcmod scroll 0.1 1
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/ef_canyon/water2_fx_foam1
{
	qer_editorimage textures/ef_canyon/foam1.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	sort 11
	{
		map textures/ef_canyon/foam1.tga
		tcmod scroll 0.1 0.4
		tcmod turb 0.3 0.1 0 0.03
		blendfunc blend
		alphagen vertex
		alphafunc gt0
	}
	{
		alphafunc ge128
		alphagen vertex
		map textures/ef_canyon/foam1.tga
		//rgbgen const ( 1 0.4 0.2 )
		tcmod scroll 0.1 0.4
		tcmod turb 0.3 0.1 0 0.03
		blendfunc blend
	}
}

textures/ef_canyon/water_caulk
{
	qer_editorimage textures/common/watercaulk.tga
	qer_trans 0.4
	surfaceparm nodraw
	surfaceparm water
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
}

textures/ef_canyon/bridge_support_ropes
{
	qer_editorimage textures/ef_canyon/bridge_rope_alpha.tga
	cull none	
	//deformvertexes autosprite2
	{
		map textures/ef_canyon/bridge_rope_alpha.tga
		rgbgen vertex
		alphafunc GE128
	}
}

textures/ef_canyon/bridge_wood_planks
{
	qer_editorimage textures/ef_canyon/bridge_wood_planks.tga
	q3map_forcemeta
	q3map_lightmapsampleoffset 4
	cull none
	{
		map textures/ef_canyon/bridge_wood_planks.tga
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/ef_canyon/water_rock_foam
{
	qer_editorimage textures/ef_canyon/waterfall_alpha.tga
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	sort 11
	{
		map textures/ef_canyon/waterfall_alpha2.tga
		blendfunc blend
		alphagen vertex
		tcmod scroll 0.01 1.6		
		rgbgen vertex
	}
}

textures/ef_canyon/flame1
{
	qer_editorimage textures/ef_canyon/flame1.tga
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
	cull none
	q3map_surfacelight 2500
	{
		animMap 10 textures/ef_canyon/flame1.tga textures/ef_canyon/flame2.tga textures/ef_canyon/flame3.tga textures/ef_canyon/flame4.tga textures/ef_canyon/flame5.tga textures/ef_canyon/flame6.tga textures/ef_canyon/flame7.tga textures/ef_canyon/flame8.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10	
	}	
	{
		animMap 10 textures/ef_canyon/flame2.tga textures/ef_canyon/flame3.tga textures/ef_canyon/flame4.tga textures/ef_canyon/flame5.tga textures/ef_canyon/flame6.tga textures/ef_canyon/flame7.tga textures/ef_canyon/flame8.tga textures/ef_canyon/flame1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}	
	{
		map textures/ef_canyon/flameball.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .6 .2 0 .6	
	}

}

textures/ef_canyon/cave_light
{
	qer_editorimage textures/ef_canyon/cave_light.tga
	qer_trans 0.5	
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap	
	q3map_lightimage textures/ef_canyon/cave_light_image.tga
	q3map_surfacelight 1500
}

textures/ef_canyon/ut_wall5_alpha
{
	qer_editorimage textures/ef_canyon/ut_wall5.tga
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm lightfilter
	q3map_forcemeta
	q3map_shadeangle 110
	q3map_lightimage textures/ef_canyon/ut_wall5_light_filter.tga
	cull none
	{
		map textures/ef_canyon/ut_wall5.tga
		alphafunc ge128
		depthwrite
	}
	{
		map $lightmap
		blendfunc filter
		depthfunc equal
	}	
}

textures/ef_canyon/clip_no_wall_kick
{
	qer_editorimage textures/common/clip.tga
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
	surfaceparm slick
}

models/mapobjects/ef_canyon/front_anim
{
	{
		tcmod scale 1 1
		animmap 3 textures/ef_canyon/sub1.tga  textures/ef_canyon/sub2.tga textures/ef_canyon/sub3.tga textures/ef_canyon/sub4.tga textures/ef_canyon/sub5.tga textures/ef_canyon/sub6.tga
	}
	{
		map textures/ef_canyon/tvfront.tga
		blendfunc blend
		rgbgen vertex
	}
	{
		map textures/ef_canyon/tv_fx.tga
		blendfunc add
	}
}

textures/ef_canyon/house_glass_fx
{
	qer_editorimage textures/ef_canyon/house_glass.tga
	q3map_lightimage textures/ef_canyon/house_glass.tga
	surfaceparm trans
	{
		rgbgen vertex
		tcGen environment
		map textures/ef_canyon/house_glass.tga
		blendfunc add
	}
}

textures/ef_canyon/bomb_marker
{
	qer_editorimage textures/ef_canyon/minimap_bomb.tga
	surfaceparm trans
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	{
		clampmap textures/ef_canyon/minimap_bomb.tga
		tcMod stretch sin 0.9 0.3 0 0.65
		tcMod rotate 30
		alphagen wave sin 1.2 1 0 0.65
		blendfunc blend
	}
}

textures/ef_canyon/bomb_markerb
{
	qer_editorimage textures/ef_canyon/minimap_bombblue.tga
	surfaceparm trans
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm nomarks
	polygonOffset
	{
		clampmap textures/ef_canyon/minimap_bombblue.tga
		tcMod stretch sin 0.9 0.3 0 0.65
		tcMod rotate 30
		alphagen wave sin 1.2 1 0 0.65
		blendfunc blend
	}
}

textures/ef_canyon/vulture_shader
{
	qer_editorimage textures/ef_canyon/vulture.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm nomarks
	cull none
	{
		map textures/ef_canyon/vulture.tga
		alphafunc ge128
	}
}

textures/ef_canyon/tv_redo
{
	qer_editorimage textures/ef_canyon/tvfront.tga
	{
		map textures/ef_canyon/tvfront.tga
		rgbgen vertex
	}
	{
		map textures/ef_canyon/tv_fx_2.tga
		alphafunc ge128
		depthwrite
	}
	{
		depthfunc equal
		tcmod scale 1 1
		blendfunc add
		animmap 0.75 textures/ef_canyon/sub1.tga  textures/ef_canyon/sub2.tga textures/ef_canyon/sub3.tga textures/ef_canyon/sub4.tga textures/ef_canyon/sub5.tga textures/ef_canyon/sub6.tga textures/ef_canyon/sub7.tga  textures/ef_canyon/sub8.tga
	}
}

textures/ef_canyon/cave_ground_blend
{
	qer-editorimage textures/ef_canyon/cave_ground_blend.tga
	q3map_lightimage textures/ef_canyon/ground018.tga
	q3map_nonplanar
	q3map_shadeAngle 120
	q3map_lightmapSampleOffset 8
	{
		map textures/ef_canyon/ground018.tga
	}
	{
		map textures/ef_canyon/kat_stone4_d2_mod1.tga
		alphagen oneminusvertex
		alphafunc ge128
	}
	{
		map $lightmap
		blendfunc filter
	}
}
textures/ef_canyon/wagon_wheels
{
	qer_editorimage textures/ef_canyon/wood056.tga
	cull none
	{
		map textures/ef_canyon/wood056.tga
		rgbgen vertex
	}
}

textures/ef_canyon/wagon_sheet
{
	qer_editorimage textures/ef_canyon/wagon_canvas_alpha.tga
	q3map_forcemeta
	polygonoffset
	cull none
	{
		map textures/ef_canyon/wagon_canvas_alpha.tga
		alphafunc ge128
	}
	{
		map $lightmap
		blendfunc filter
		depthfunc equal
	}
}

textures/ef_canyon/grass_shader
{
	qer_editorimage textures/ef_canyon/grass.tga
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	{
		map textures/ef_canyon/grass.tga
		rgbgen vertex
		alphafunc ge128
	}	
}

textures/ef_canyon/water_flow_splash
{
	qer_editorimage textures/ef_canyon/foam1.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	sort 11
	{
		map textures/ef_canyon/foam1.tga
		tcmod scroll 0.2 0.8
		tcmod turb 0.3 0.1 0 0.03
		blendfunc blend
		alphagen vertex
	}
	{
		alphafunc ge128
		alphagen vertex
		map textures/ef_canyon/foam1.tga
		tcmod scroll 0.4 0.8
		tcmod turb 0.3 0.1 0 0.03
		blendfunc blend
	}
}

textures/ef_canyon/glass1
{
	qer_editorimage textures/ef_canyon/window.tga
	cull none
	surfaceparm alphashadow
	surfaceparm trans
	surfaceparm lightfilter
	{
		map textures/effects/tinfx.tga
                		tcgen environment
		blendFunc gl_dst_color gl_one
		rgbGen identity
	}
	{
		map textures/ef_canyon/window.tga
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
	}
}

textures/ef_canyon/alpha_75
{
	qer_editorimage textures/common/alpha_75.tga
	qer_trans 0.5
	q3map_alphaMod volume
	q3map_alphaMod set 0.75
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
}

textures/ef_canyon/alpha_50
{
	qer_editorimage textures/common/alpha_50.tga
	qer_trans 0.5
	q3map_alphaMod volume
	q3map_alphaMod set 0.5
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
}

textures/ef_canyon/alpha_25
{
	qer_editorimage textures/common/alpha_25.tga
	qer_trans 0.5
	q3map_alphaMod volume
	q3map_alphaMod set 0.25
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
}

textures/ef_canyon/alpha_0
{
	qer_editorimage textures/common/alpha_0.tga
	qer_trans 0.5
	q3map_alphaMod volume
	q3map_alphaMod set 0
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
}

textures/ef_canyon/botclip
{
	qer_trans 0.40
	qer_editorimage textures/common/botclip.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm botclip
	surfaceparm noimpact
	surfaceparm trans
}

levelshots/ef_canyon
{
	nopicmip
	{
		map  textures/ef_canyon/null_des_mask_l_0.tga 
	}
	{
		animmap textures/ef_canyon/1.tga textures/ef_canyon/2.tga textures/ef_canyon/3.tga textures/ef_canyon/4.tga textures/ef_canyon/5.tga textures/ef_canyon/6.tga
		alphafunc ge128
	}
}

//Fire Particle

textures/ef_canyon/fire_particle_1
{
	qer_editorimage textures/ef_canyon/fire.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nodlight
	deformvertexes autosprite
	deformvertexes move 7.235736 -6.778786 49.442436 sawtooth 0 1 0.995392 1.000000
	{
		clampmap textures/ef_canyon/fire.tga
		tcMod rotate 0.000000
		AlphaGen wave sawtooth 1.000000 0.000000 0.995392 1.000000
		rgbGen wave sawtooth 1.000000 -1.000000 0.995392 1.000000
		tcMod stretch sawtooth 1.000000 0.000000 0.995392 1.000000
		blendfunc add
	}
}

textures/ef_canyon/fire_particle_2
{
	qer_editorimage textures/ef_canyon/fire.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nodlight
	deformvertexes autosprite
	deformvertexes move 4.035768 2.920619 45.451401 sawtooth 0 1 0.965209 1.000000
	{
		clampmap textures/ef_canyon/fire.tga
		tcMod rotate 0.000000
		AlphaGen wave sawtooth 1.000000 0.000000 0.965209 1.000000
		rgbGen wave sawtooth 1.000000 -1.000000 0.965209 1.000000
		tcMod stretch sawtooth 1.000000 0.000000 0.965209 1.000000
		blendfunc add
	}
}

textures/ef_canyon/fire_particle_3
{
	qer_editorimage textures/ef_canyon/fire.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nodlight
	deformvertexes autosprite
	deformvertexes move -4.273724 6.286467 48.156898 sawtooth 0 1 0.922300 1.000000
	{
		clampmap textures/ef_canyon/fire.tga
		tcMod rotate 0.000000
		AlphaGen wave sawtooth 1.000000 0.000000 0.922300 1.000000
		rgbGen wave sawtooth 1.000000 -1.000000 0.922300 1.000000
		tcMod stretch sawtooth 1.000000 0.000000 0.922300 1.000000
		blendfunc add
	}
}

textures/ef_canyon/fire_particle_4
{
	qer_editorimage textures/ef_canyon/fire.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nodlight
	deformvertexes autosprite
	deformvertexes move -5.664277 8.848753 48.369610 sawtooth 0 1 0.440809 1.000000
	{
		clampmap textures/ef_canyon/fire.tga
		tcMod rotate 0.000000
		AlphaGen wave sawtooth 1.000000 0.000000 0.440809 1.000000
		rgbGen wave sawtooth 1.000000 -1.000000 0.440809 1.000000
		tcMod stretch sawtooth 1.000000 0.000000 0.440809 1.000000
		blendfunc add
	}
}

textures/ef_canyon/fire_particle_5
{
	qer_editorimage textures/ef_canyon/fire.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nodlight
	deformvertexes autosprite
	deformvertexes move -2.442006 -5.073074 42.837402 sawtooth 0 1 0.821131 1.000000
	{
		clampmap textures/ef_canyon/fire.tga
		tcMod rotate 0.000000
		AlphaGen wave sawtooth 1.000000 0.000000 0.821131 1.000000
		rgbGen wave sawtooth 1.000000 -1.000000 0.821131 1.000000
		tcMod stretch sawtooth 1.000000 0.000000 0.821131 1.000000
		blendfunc add
	}
}

textures/ef_canyon/fire_particle_6
{
	qer_editorimage textures/ef_canyon/fire.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nodlight
	deformvertexes autosprite
	deformvertexes move -4.877001 5.871398 46.611629 sawtooth 0 1 0.022828 1.000000
	{
		clampmap textures/ef_canyon/fire.tga
		tcMod rotate 0.000000
		AlphaGen wave sawtooth 1.000000 0.000000 0.022828 1.000000
		rgbGen wave sawtooth 1.000000 -1.000000 0.022828 1.000000
		tcMod stretch sawtooth 1.000000 0.000000 0.022828 1.000000
		blendfunc add
	}
}

textures/ef_canyon/fire_particle_7
{
	qer_editorimage textures/ef_canyon/fire.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nodlight
	deformvertexes autosprite
	deformvertexes move 0.597845 4.057195 34.875683 sawtooth 0 1 0.649922 1.000000
	{
		clampmap textures/ef_canyon/fire.tga
		tcMod rotate 0.000000
		AlphaGen wave sawtooth 1.000000 0.000000 0.649922 1.000000
		rgbGen wave sawtooth 1.000000 -1.000000 0.649922 1.000000
		tcMod stretch sawtooth 1.000000 0.000000 0.649922 1.000000
		blendfunc add
	}
}

textures/ef_canyon/fire_particle_8
{
	qer_editorimage textures/ef_canyon/fire.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nodlight
	deformvertexes autosprite
	deformvertexes move -1.087601 3.963916 30.290792 sawtooth 0 1 0.323923 1.000000
	{
		clampmap textures/ef_canyon/fire.tga
		tcMod rotate 0.000000
		AlphaGen wave sawtooth 1.000000 0.000000 0.323923 1.000000
		rgbGen wave sawtooth 1.000000 -1.000000 0.323923 1.000000
		tcMod stretch sawtooth 1.000000 0.000000 0.323923 1.000000
		blendfunc add
	}
}

textures/ef_canyon/fire_particle_9
{
	qer_editorimage textures/ef_canyon/fire.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nodlight
	deformvertexes autosprite
	deformvertexes move -3.202429 6.945068 52.726074 sawtooth 0 1 0.457228 1.000000
	{
		clampmap textures/ef_canyon/fire.tga
		tcMod rotate 0.000000
		AlphaGen wave sawtooth 1.000000 0.000000 0.457228 1.000000
		rgbGen wave sawtooth 1.000000 -1.000000 0.457228 1.000000
		tcMod stretch sawtooth 1.000000 0.000000 0.457228 1.000000
		blendfunc add
	}
}

textures/ef_canyon/fire_particle_10
{
	qer_editorimage textures/ef_canyon/fire.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	cull none
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nodlight
	deformvertexes autosprite
	deformvertexes move 1.770025 -0.421634 46.835453 sawtooth 0 1 0.037355 1.000000
	{
		clampmap textures/ef_canyon/fire.tga
		tcMod rotate 0.000000
		AlphaGen wave sawtooth 1.000000 0.000000 0.037355 1.000000
		rgbGen wave sawtooth 1.000000 -1.000000 0.037355 1.000000
		tcMod stretch sawtooth 1.000000 0.000000 0.037355 1.000000
		blendfunc add
	}
}

//Snow particle

textures/ef_canyon/snow_drop1
{
	qer_editorimage textures/ef_canyon/snow_drop.tga
	surfaceparm nodlight
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	deformVertexes autosprite
	deformVertexes move 0 0 -400 sawtooth 0 1 -0.074285 0.2 
	{
		clampmap textures/ef_canyon/snow_drop.tga
		blendfunc add
		rgbGen wave sawtooth 1 0 -0.074285 0.2 
		tcMod rotate 0
		tcMod stretch sawtooth 1 0 -0.074285 0.2 
		alphaGen wave sawtooth 1 0 -0.074285 0.2 
	}
}

textures/ef_canyon/snow_drop2
{
	qer_editorimage textures/ef_canyon/snow_drop.tga
	surfaceparm nodlight
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	deformVertexes autosprite
	deformVertexes move 0 0 -1000 sawtooth 0 1 -0.173836 0.2 
	{
		clampmap textures/ef_canyon/snow_drop.tga
		blendfunc add
		rgbGen wave sawtooth 1 0 -0.173836 0.2 
		tcMod rotate 0
		tcMod stretch sawtooth 1 0 -0.173836 0.2 
		alphaGen wave sawtooth 1 0 -0.173836 0.2 
	}
}

textures/ef_canyon/snow_drop3
{
	qer_editorimage textures/ef_canyon/snow_drop.tga
	surfaceparm nodlight
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	deformVertexes autosprite
	deformVertexes move 0 0 -500 sawtooth 0 1 0.082458 0.2 
	{
		clampmap textures/ef_canyon/snow_drop.tga
		blendfunc add
		rgbGen wave sawtooth 1 0 0.082458 0.2 
		tcMod rotate 0
		tcMod stretch sawtooth 1 0 0.082458 0.2 
		alphaGen wave sawtooth 1 0 0.082458 0.2 
	}
}

textures/ef_canyon/snow_drop4
{
	qer_editorimage textures/ef_canyon/snow_drop.tga
	surfaceparm nodlight
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	deformVertexes autosprite
	deformVertexes move 0 0 -800 sawtooth 0 1 -0.180734 0.2 
	{
		clampmap textures/ef_canyon/snow_drop.tga
		blendfunc add
		rgbGen wave sawtooth 1 0 -0.180734 0.2 
		tcMod rotate 0
		tcMod stretch sawtooth 1 0 -0.180734 0.2 
		alphaGen wave sawtooth 1 0 -0.180734 0.2 
	}
}

textures/ef_canyon/snow_drop5
{
	qer_editorimage textures/ef_canyon/snow_drop.tga
	surfaceparm nodlight
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	deformVertexes autosprite
	deformVertexes move 0 0 -900 sawtooth 0 1 0.404733 0.2 
	{
		clampmap textures/ef_canyon/snow_drop.tga
		blendfunc add
		rgbGen wave sawtooth 1 0 0.404733 0.2 
		tcMod rotate 0
		tcMod stretch sawtooth 1 0 0.404733 0.2 
		alphaGen wave sawtooth 1 0 0.404733 0.2 
	}
}


//xmas models

models/mapobjects/ef_canyon/tree02_01
{
	q3map_surfacelight 1000
	surfaceparm nodamage
	surfaceparm alphashadow
	cull none	
	{
		map models/mapobjects/ef_canyon/tree02_01.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identityLighting
		blendfunc add
		rgbGen wave square 0.5 0.5 0 -1
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
	{
		map models/mapobjects/ef_canyon/tree03_01.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identityLighting
		blendfunc add
		rgbGen wave square 0.5 0.5 0 1 
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

models/mapobjects/ef_canyon/tree04_01
{
	q3map_surfacelight 1000
	surfaceparm nodamage
	surfaceparm alphashadow
	cull none
	{
		map models/mapobjects/ef_canyon/tree04_01.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identityLighting
		blendfunc add
		rgbGen wave square 0.5 0.5 0 -0.5
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
	{
		map models/mapobjects/ef_canyon/tree05_01.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identityLighting
		blendfunc add
		rgbGen wave square 0.5 0.5 0 0.5
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

models/mapobjects/ef_canyon/tree01_01
{	
	surfaceparm alphashadow
	cull none
	{
		map models/mapobjects/ef_canyon/tree01_01.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identityLighting
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

models/mapobjects/ef_canyon/winterbranch01
{
	qer_editorImage models/mapobjects/ef_canyon/winterbranch01.tga
	qer_alphaFunc gequal 0.5
	surfaceparm alphashadow
	surfaceparm pointlight
	surfaceparm trans
	cull none
	{
		map models/mapobjects/ef_canyon/winterbranch01.tga
		rgbGen vertex
		alphaFunc GE128
		depthWrite
	}
}

models/mapobjects/ef_canyon/wintertrunk01
{
	qer_editorImage models/mapobjects/ef_canyon/wintertrunk01.tga
	q3map_forcemeta
	q3map_clipModel
	{
		map models/mapobjects/ef_canyon/wintertrunk01.tga
	}
}

models/mapobjects/ef_canyon/mond
{	
	qer_alphaFunc gequal 0.5
	surfaceparm alphashadow
	cull none	
	{
		map models/mapobjects/ef_canyon/mond.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identityLighting
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

models/mapobjects/christmastree/decor_green
{
	{
      	  	map models/mapobjects/christmastree/decor_green.tga
        		blendFunc GL_ONE GL_ZERO
        		rgbGen lightingDiffuse
    	}
    	{
        		map models/mapobjects/christmastree/decor_red_spec.tga
        		blendFunc GL_SRC_ALPHA GL_ONE
        		detail
        		alphaGen lightingSpecular
    	}
    	{
        		map models/mapobjects/christmastree/decor_green_glow.tga
        		blendFunc GL_ONE GL_ONE
        		rgbGen wave triangle 0 1.5 1 2
    	}
}

models/map_objects/christmastree/decor_red
{
	{
        		map models/mapobjects/christmastree/decor_red.tga
        		rgbGen lightingDiffuse
    	}
    	{
        		map models/mapobjects/christmastree/decor_red_spec.tga
        		blendFunc GL_SRC_ALPHA GL_ONE
        		detail
        		alphaGen lightingSpecular
    	}
    	{
        		map models/mapobjects/christmastree/decor_red_glow.tga
        		blendFunc GL_ONE GL_ONE
        		rgbGen wave triangle 0 1.5 1 0.5
    	}
}

models/mapobjects/christmastree/decor_yellow
{
	{
        		map models/mapobjects/christmastree/decor_yellow.tga
        		rgbGen lightingDiffuse
    	}
    	{
        		map models/mapobjects/christmastree/decor_red_spec.tga
        		blendFunc GL_SRC_ALPHA GL_ONE
        		detail
        		alphaGen lightingSpecular
    	}
    	{
        		map models/mapobjects/christmastree/decor_yellow_glow.tga
        		blendFunc GL_ONE GL_ONE_MINUS_SRC_COLOR
        		rgbGen wave triangle 0 1.5 1 1
    	}
}

models/mapobjects/christmastree/branches_03
{
	qer_alphaFunc gequal 0.5
	surfaceparm alphashadow
	surfaceparm pointlight
	surfaceparm trans
	cull none
    	{
        		map models/mapobjects/christmastree/branches_03.tga
		rgbGen vertex
		alphaFunc GE128
		depthWrite
    	}
}

models/mapobjects/christmastree/need1
{
	qer_editorImage models/mapobjects/christmastree/need1.tga
	qer_alphaFunc gequal 0.5
	surfaceparm alphashadow
	surfaceparm pointlight
	surfaceparm trans
	cull none
    	{
        		map models/mapobjects/christmastree/need1.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}
models/mapobjects/christmastree/need2
{
	qer_editorImage models/mapobjects/christmastree/need2.tga
	qer_alphaFunc gequal 0.5
	surfaceparm alphashadow
	surfaceparm pointlight
	surfaceparm trans
	cull none
    	{
        		map models/mapobjects/christmastree/need2.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

